Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/relatedTo.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/relatedTo.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/relatedTo.component.ts	(revision 58275)
@@ -4,44 +4,51 @@
 @Component({
   selector: 'relatedTo',
   template: `
-    <dl relatedTo [class]="'uk-description-list-line' + ((contexts && contexts.length > threshold) ? ' uk-margin-remove-bottom' : '')">
-      <dt class="sideInfoTitle">Related to</dt>
-      <dd class="line" *ngFor="let item of contexts.slice(0, showNum) let i=index">
-                          <span *ngIf="!item['inline']">
-                            <span>{{item['labelContext']}}</span>
-                            <span *ngIf="item['labelCategory']"><span uk-icon="icon: arrow-right"></span>{{item['labelCategory']}}</span>
-                            <span *ngIf="item['labelConcept']">: {{item['labelConcept']}}</span>
-                          </span>
-        <mark *ngIf="item['inline']">
-          <span>{{item['labelContext']}}</span>
-          <span *ngIf="item['labelCategory']"><span uk-icon="icon: arrow-right"></span>{{item['labelCategory']}}</span>
-          <span *ngIf="item['labelConcept']">: {{item['labelConcept']}}</span>
-        </mark>
-      </dd>
-    </dl>
-    <div *ngIf="showNum > threshold" class="uk-text-right uk-margin-bottom">
-      <a (click)="showNum = threshold; scroll()">
-        View less
-      </a>
+    <div class="uk-margin-bottom">
+      <div class="uk-text-small">
+        <div class="uk-text-muted">
+          Communities:
+        </div>
+        <div class="uk-margin-small-left" *ngFor="let item of contexts.slice(0, showNum); let i=index">
+          <span *ngIf="!item['inline']">
+            <span>{{item['labelContext']}}</span>
+            <span *ngIf="item['labelCategory']"><span uk-icon="icon: arrow-right"></span>{{item['labelCategory']}}</span>
+            <span *ngIf="item['labelConcept']">: {{item['labelConcept']}}</span>
+          </span>
+          <mark *ngIf="item['inline']">
+            <span>{{item['labelContext']}}</span>
+            <span *ngIf="item['labelCategory']"><span
+                uk-icon="icon: arrow-right"></span>{{item['labelCategory']}}</span>
+            <span *ngIf="item['labelConcept']">: {{item['labelConcept']}}</span>
+          </mark>
+        </div>
+      </div>
+      <div *ngIf="showNum > threshold" class="uk-text-right">
+        <a (click)="showNum = threshold; scroll()">
+          View less
+        </a>
+      </div>
+      <div *ngIf="showNum == threshold && contexts && contexts.length > threshold" class="uk-text-right">
+        <a (click)="showNum = contexts.length;">
+          View more
+        </a>
+      </div>
     </div>
-    <div *ngIf="showNum == threshold && contexts && contexts.length > threshold" class="uk-text-right uk-margin-bottom">
-      <a (click)="showNum = contexts.length;">
-        View more
-      </a>
-    </div>
   `
 })
 
 export class RelatedToComponent {
-  @Input() contexts: { "labelContext": string, "labelCategory": string, "labelConcept": string, "inline": boolean}[];
-
+  @Input() contexts: { "labelContext": string, "labelCategory": string, "labelConcept": string, "inline": boolean }[];
+  
   public threshold: number = 5;
   public showNum: number = 5;
-
-  constructor () {}
-
-  ngOnInit() {}
-
+  
+  constructor() {
+  }
+  
+  ngOnInit() {
+  }
+  
   public scroll() {
     HelperFunctions.scroll();
   }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/projects-in-modal.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/projects-in-modal.component.ts	(nonexistent)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/projects-in-modal.component.ts	(revision 58275)
@@ -0,0 +1,120 @@
+import {Component, Input} from '@angular/core';
+import {ActivatedRoute} from '@angular/router';
+
+import {FetchProjects} from '../../utils/fetchEntitiesClasses/fetchProjects.class';
+import {SearchProjectsService} from '../../services/searchProjects.service';
+
+import {ErrorCodes} from '../../utils/properties/errorCodes';
+import {StringUtils} from '../../utils/string-utils.class';
+import {RouterHelper} from '../../utils/routerHelper.class';
+import {EnvProperties} from '../../utils/properties/env-properties';
+import {ResultLandingInfo} from "../../utils/entities/resultLandingInfo";
+import {ResultPreview} from "../../utils/result-preview/result-preview";
+import {SearchResult} from "../../utils/entities/searchResult";
+import {AlertModal} from "../../utils/modal/alert";
+
+@Component({
+  selector: 'projectsInModal',
+  template: `
+    <errorMessages [status]="[fetchProjects.searchUtils.status]" [type]="'projects'"
+                   tab_error_class=true></errorMessages>
+
+    <div *ngIf="fetchProjects.searchUtils.status == errorCodes.DONE">
+      <ul *ngIf="fetchProjects.funders.length > 1" class="uk-list uk-list-divider uk-margin-remove">
+        <li *ngFor="let filter of fetchProjects.filters ">
+          <!--div class="text-bold">Filter by {{filter.title}}:</div-->
+          <span *ngFor="let value of filter.values" class="uk-animation-fade uk-margin-small-right">
+             <input [(ngModel)]="value.selected" type="checkbox"
+                    (ngModelChange)="filterChange(value.selected)"/>
+             <span title="{{value.name}}"> {{value.name}}</span>
+          </span>
+        </li>
+      </ul>
+      <no-load-paging *ngIf="fetchProjects.searchUtils.totalResults > size" [type]="'projects'"
+                      (pageChange)="pageChange($event)"
+                      [page]="page" [pageSize]="size"
+                      [totalResults]="fetchProjects.searchUtils.totalResults">
+      </no-load-paging>
+      <ul class="uk-list uk-list-divider  uk-margin">
+        <li *ngFor="let result of fetchProjects.results">
+          <result-preview [properties]="properties" [modal]="modal" [result]="getResultPreview(result)"></result-preview>
+        </li>
+      </ul>
+      <no-load-paging *ngIf="fetchProjects.searchUtils.totalResults > size" [type]="'projects'"
+                      (pageChange)="pageChange($event)"
+                      [page]="page" [pageSize]="size"
+                      [totalResults]="fetchProjects.searchUtils.totalResults">
+      </no-load-paging>
+    </div>
+  `
+})
+
+export class ProjectsInModalComponent {
+  @Input() fetchProjects: FetchProjects;
+  @Input() organizationId: string = "";
+  @Input() properties: EnvProperties;
+  @Input() modal: AlertModal;
+  public page: number = 1;
+  public size: number = 10;
+  public linkToSearchProjects: string;
+  
+  public routerHelper: RouterHelper = new RouterHelper();
+  public errorCodes: ErrorCodes = new ErrorCodes();
+  
+  private filterQuery: string = "";
+  
+  constructor(private  route: ActivatedRoute,
+              private _searchProjectsService: SearchProjectsService) {
+  }
+  
+  
+  ngOnInit() {
+    if (this.organizationId) {
+      this.linkToSearchProjects = this.properties.searchLinkToAdvancedProjects;//+"?organization="+this.organizationId+"or=and";;
+      if (this.fetchProjects.searchUtils.totalResults > 0) {
+        this.search(false, "");
+      }
+    }
+  }
+  
+  public getResultPreview(result: SearchResult): ResultPreview {
+    return ResultPreview.searchResultConvert(result, 'project');
+  }
+  
+  private search(refine: boolean, filterQuery: string) {
+    var refineFields: string [] = ["funder"];
+    this.fetchProjects.getResultsForOrganizations(this.organizationId, filterQuery, this.page, this.size, (refine) ? refineFields : [], this.properties);
+  }
+  
+  public pageChange($event) {
+    this.page = $event.value;
+    this.search(false, this.filterQuery);
+  }
+  
+  public filterChange($event) {
+    this.updateFilters();
+    //this.search(true, this.filterQuery);
+    this.search(false, this.filterQuery);
+  }
+  
+  private updateFilters() {
+    this.filterQuery = "";
+    for (let filter of this.fetchProjects.filters) {
+      var filterLimits = "";
+      for (let value of filter.values) {
+        if (value.selected == true) {
+          //filterLimits+=((filterLimits.length == 0)?'':',') +'"'+ StringUtils.URIEncode(value.id)+'"';
+          filterLimits += ((filterLimits.length == 0) ? '' : ' or ') + filter.filterId + ' exact ';
+          filterLimits += '"' + StringUtils.URIEncode(value.id) + '"';
+        }
+      }
+      if (filterLimits.length > 0) {
+        //this.filterQuery+=' and '+filter.filterId + ' exact '+ filterLimits + ' ';
+        this.filterQuery += ' and ( ' + filterLimits + ' ) ';
+      }
+      
+    }
+    //console.log("Filter Changed"+this.filterQuery);
+    
+  }
+}
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/deletedByInference/deletedByInference.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/deletedByInference/deletedByInference.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/deletedByInference/deletedByInference.component.ts	(revision 58275)
@@ -1,151 +1,83 @@
-import {Component, ViewChild}         from '@angular/core';
-import {ElementRef, Input}            from '@angular/core';
-import {ActivatedRoute, Router}       from '@angular/router';
+import {Component, ViewChild} from '@angular/core';
+import {ElementRef, Input} from '@angular/core';
+import {ActivatedRoute, Router} from '@angular/router';
 
-import {EnvProperties}                from '../../../utils/properties/env-properties';
-import {ResultLandingInfo}     from '../../../utils/entities/resultLandingInfo';
-import {RouterHelper}                 from '../../../utils/routerHelper.class';
-import {ErrorCodes}                   from '../../../utils/properties/errorCodes';
+import {EnvProperties} from '../../../utils/properties/env-properties';
+import {ResultLandingInfo} from '../../../utils/entities/resultLandingInfo';
+import {RouterHelper} from '../../../utils/routerHelper.class';
+import {ErrorCodes} from '../../../utils/properties/errorCodes';
 
-import {DeletedByInferenceService}    from './deletedByInference.service';
+import {DeletedByInferenceService} from './deletedByInference.service';
+import {SearchResult} from "../../../utils/entities/searchResult";
+import {ResultPreview} from "../../../utils/result-preview/result-preview";
+import {AlertModal} from "../../../utils/modal/alert";
 
 @Component({
-    selector: 'deletedByInference',
-    template: `
+  selector: 'deletedByInference',
+  template: `
     <errorMessages [status]="[status]" [type]="type" tab_error_class=true></errorMessages>
-
-    <div>
-      <div *ngIf="results.length > pageSize" class="uk-margin-bottom">
-        <span class="uk-h6">{{results.length | number}} {{type}}, page {{page | number}} of {{totalPages(results.length) | number}}</span>
-        <paging-no-load class="uk-float-right" [currentPage]="page" [totalResults]="results.length" [size]="pageSize" (pageChange)="updatePage($event)"></paging-no-load>
-      </div>
-
-      <ul class="uk-list uk-list-divider  uk-margin">
-        <li *ngFor="let result of results.slice((page-1)*pageSize, page*pageSize)">
-          <h5 *ngIf="result.title" class="uk-margin-remove-bottom">
-            <span [innerHTML]="result.title"></span>
-          </h5>
-          <h5 *ngIf="!result.title">
-            <span>[no title available]</span>
-          </h5>
-
-          <span *ngIf="result.types && result.types.length > 0"class="uk-label custom-label label-blue label-publication" title="Type">{{result.types.join(", ")}}</span>{{" "}}
-          <span *ngIf="result.languages && result.languages.length > 0" class="uk-label custom-label  label-language " title="Language">{{result.languages.join(", ")}}</span>{{" "}}
-          <span *ngIf="result.countries && result.countries.length > 0" class="uk-label custom-label  label-country " title="Country">{{result.countries.join(", ")}}</span>{{" "}}
-          <span *ngIf="result.accessMode" [class]="'uk-label custom-label  label-'+ result.accessMode " title="Access Mode">{{result.accessMode}}</span>{{" "}}
-
-          <div>
-              <showAuthors [authors]="result.authors"></showAuthors>
-              <span *ngIf="result.date != ''">({{result.date}})</span>
-          </div>
-
-          <div *ngIf="result.identifiers && result.identifiers.size > 0">
-            <showIdentifiers [identifiers]="result.identifiers"></showIdentifiers>
-          </div>
-
-          <div *ngIf="result.hostedBy_collectedFrom != undefined && result.hostedBy_collectedFrom.length > 0">
-            <span class="uk-text-bold"> Download From: </span>
-            <span *ngFor="let available of result.hostedBy_collectedFrom let i=index">
-              <span *ngIf="available.downloadUrl.length > 1"
-                    class="custom-external custom-icon">
-                    {{available.downloadName}}
-                <span *ngFor="let url of available.downloadUrl; let i=index;">
-                    <a  href="{{url}}" target="_blank"
-                        attr.uk-tooltip="pos:right; delay:10">
-                        [{{(i+1) | number}}]
-                    </a>
-                </span>
-              </span><a
-              class="custom-external custom-icon"
-                  *ngIf="available['downloadUrl'].length == 1"
-                  href="{{available['downloadUrl']}}"
-                  target="_blank"
-                  attr.uk-tooltip="pos:right; delay:10">
-                  {{available.downloadName}}</a><span
-              *ngIf="i < result['hostedBy_collectedFrom'].length-1">,</span>
-            </span>
-            <span *ngIf="result['hostedBy_collectedFrom'].length > 15">...</span>
-          </div>
-
-          <div *ngIf="result.description" class="uk-margin-bottom uk-text-justify descriptionText">
-            {{result.description}}
-          </div>
-
-
-
-        </li>
-      </ul>
-    </div>
-    `
+    <no-load-paging *ngIf="results.length > pageSize" [type]="type"
+                    (pageChange)="updatePage($event)"
+                    [page]="page" [pageSize]="pageSize"
+                    [totalResults]="results.length">
+    </no-load-paging>
+    <ul class="uk-list uk-list-divider  uk-margin">
+      <li *ngFor="let result of results.slice((page-1)*pageSize, page*pageSize)">
+        <result-preview [modal]="modal" [properties]="properties" [result]="getResultPreview(result)"></result-preview>
+      </li>
+    </ul>
+    <no-load-paging *ngIf="results.length > pageSize" [type]="type"
+                    (pageChange)="updatePage($event)"
+                    [page]="page" [pageSize]="pageSize"
+                    [totalResults]="results.length">
+    </no-load-paging>
+  `
 })
-
 export class DeletedByInferenceComponent {
   public results: ResultLandingInfo[] = [];
   @Input() id: string;
   @Input() ids: string[] = [];
   @Input() type: string;
-
+  @Input() resultType: string;
+  @Input() modal: AlertModal;
+  
   // Custom tab paging variables
   public page: number = 1;
   public pageSize: number = 5;
-
+  
   public status: number;
-  public routerHelper:RouterHelper = new RouterHelper();
-  public errorCodes:ErrorCodes = new ErrorCodes();
-
+  public routerHelper: RouterHelper = new RouterHelper();
+  public errorCodes: ErrorCodes = new ErrorCodes();
+  
   sub: any;
-  properties:EnvProperties;
-
-  constructor ( private element: ElementRef,
-                private _deletedByInferenceService: DeletedByInferenceService,
-                private route: ActivatedRoute,
-                private _router: Router) {
+  properties: EnvProperties;
+  
+  constructor(private element: ElementRef,
+              private _deletedByInferenceService: DeletedByInferenceService,
+              private route: ActivatedRoute,
+              private _router: Router) {
   }
-
+  
   ngOnInit() {
     this.route.data
       .subscribe((data: { envSpecific: EnvProperties }) => {
-         this.properties = data.envSpecific;
-
+        this.properties = data.envSpecific;
+        
       });
-       this.sub =  this.route.queryParams.subscribe(data => {
-         this.errorCodes = new ErrorCodes();
-         this.status = this.errorCodes.LOADING;
-
-         this.getDeletedByInference();
+    this.sub = this.route.queryParams.subscribe(data => {
+      this.errorCodes = new ErrorCodes();
+      this.status = this.errorCodes.LOADING;
+      
+      this.getDeletedByInference();
     });
   }
-
-  ngOnDestroy() {}
-
+  
+  ngOnDestroy() {
+  }
+  
   getDeletedByInference() {
     this.results = [];
     this.status = this.errorCodes.LOADING;
-/*
-    if(this.ids) {
-      var allRequests = [];
-      for(let id of this.ids) {
-        allRequests.push(this._deletedByInferenceService.getDeletedByInferencePublications(id, this.properties));
-      }
-
-      zip.apply(null, allRequests).subscribe(
-     //   this._deletedByInferenceService.getDeletedByInferencePublications(id, this.properties).subscribe(
-         data => {
-           this.results = data;
-           this.status = this.errorCodes.DONE;
-         },
-         error => {
-           if(error.status == '404') {
-             this.status = this.errorCodes.NOT_FOUND;
-           } else if(error.status == '500') {
-             this.status = this.errorCodes.ERROR;
-           } else {
-             this.status = this.errorCodes.NOT_AVAILABLE;
-           }
-         }
-       );
-     }
- */
     this._deletedByInferenceService.getDeletedByInferenceResults(this.id, String(this.ids.length), this.properties).subscribe(
       data => {
         this.results = data;
@@ -152,9 +84,9 @@
         this.status = this.errorCodes.DONE;
       },
       error => {
-        if(error.status == '404') {
+        if (error.status == '404') {
           this.status = this.errorCodes.NOT_FOUND;
-        } else if(error.status == '500') {
+        } else if (error.status == '500') {
           this.status = this.errorCodes.ERROR;
         } else {
           this.status = this.errorCodes.NOT_AVAILABLE;
@@ -162,15 +94,19 @@
       }
     );
   }
-
+  
+  public getResultPreview(result: ResultLandingInfo): ResultPreview {
+    return ResultPreview.resultLandingInfoConvert(result, this.resultType);
+  }
+  
   public totalPages(totalResults: number): number {
-    let totalPages:any = totalResults/this.pageSize;
-    if(!(Number.isInteger(totalPages))) {
-        totalPages = (parseInt(totalPages, this.pageSize) + 1);
+    let totalPages: any = totalResults / this.pageSize;
+    if (!(Number.isInteger(totalPages))) {
+      totalPages = (parseInt(totalPages, this.pageSize) + 1);
     }
     return totalPages;
   }
-
+  
   public updatePage($event) {
     this.page = $event.value;
   }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/email/composer.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/email/composer.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/email/composer.ts	(revision 58275)
@@ -1,5 +1,6 @@
 import {Email} from "./email";
 import {Body} from "./body";
+import {FormArray} from "@angular/forms";
 
 export class Composer {
   private static noteBodySize = "14px";
@@ -63,7 +64,11 @@
     email.recipients = admins;
     return email;
   }
-
+  
+  /*public static composeEmailForFeedback(issues: any[], recipients: string[]): Email {
+  
+  }*/
+  
   public static composeEmailToInformOldManagersForTheNewOnes(communityName: string, communityId: string, firstVersionOfManagers: any, managers: any) : Email {
       let email: Email = new Email();
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/resultLandingInfo.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/resultLandingInfo.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/resultLandingInfo.ts	(revision 58275)
@@ -1,3 +1,12 @@
+import {
+  Author,
+  HostedByCollectedFrom,
+  Journal,
+  Organization,
+  Project,
+  RelationResult
+} from "../result-preview/result-preview";
+
 export class ResultLandingInfo {
   // PUBLICATION, DATASET, SOFTWARE, ORP
   record;
@@ -5,59 +14,53 @@
   // PUBLICATION, DATASET, SOFTWARE, ORP, DELETED_BY_INFERENCE
   title: string;
   accessMode: string;
-  authors: {"fullName": string, "orcid": string}[];
+  authors: Author[];
   date: string;
-  dateofacceptance: string;
-  embargoEndDate: string;
+  dateofacceptance: Date;
+  embargoEndDate: Date;
   types: string[];
   identifiers: Map<string, string[]>;     //key is the classname
   languages: string[];
   countries: string[];
   description: string;
-
-  hostedBy_collectedFrom: {"downloadName": string, "downloadUrl": string[],
-    "collectedName": string, "collectedId": string,
-    "accessMode": string[], "bestAccessMode": string,
-    "type": string, "year":string}[];
-
+  
+  hostedBy_collectedFrom: HostedByCollectedFrom[];
+  
   // PUBLICATION, DATASET, SOFTWARE, ORP
-  fundedByProjects: { "id": string, "acronym": string, "title": string,
-    "funderShortname": string, "funderName": string,
-    "funding": string, "code": string, "provenanceAction": string, "inline": boolean}[];
-
+  fundedByProjects: Project[];
+  
   underCurationMessage: boolean;
   publisher: string;
-  journal: {"journal": string, "issn": string, "lissn": string, "eissn": string,
-    "issue": string, "volume": string, "start_page": string, "end_page": string};
-
+  journal: Journal;
+  
   subjects: string[];
   otherSubjects: Map<string, string[]>;
   classifiedSubjects: Map<string, string[]>;          //<class of subject, subjects>
-
+  
   // percentage is for trust
-  relatedResearchResults: Map<string, { "name": string, "id": string, "date": string, "percentage": number, "class": string}[]>;
+  relatedResearchResults: RelationResult[];
   // percentage is for similarity
-  similarResearchResults: { "name": string, "id": string, "date": string, "percentage": number, "class": string}[];
+  similarResearchResults: RelationResult[];
   //isSupplementedBy
-  supplementaryResearchResults;
+  supplementaryResearchResults: RelationResult[];
   //isSupplementTo
-  supplementedByResearchResults;
-
-  contexts: { "labelContext": string, "labelCategory": string, "labelConcept": string, "inline": boolean}[];
-
+  supplementedByResearchResults: RelationResult[];
+  
+  contexts: { "labelContext": string, "labelCategory": string, "labelConcept": string, "inline": boolean }[];
+  
   deletedByInferenceIds: string[];
-
+  
   // PUBLICATION, DATASET, ORP
-  references: { "name": string, "url": string}[];
-
+  references: { "name": string, "url": string }[];
+  
   // PUBLICATION
   bioentities: Map<string, Map<string, string>>;      //<site name, <>>
-  organizations: {"name": string, "shortname":string, "id": string, "websiteUrl": string, "country": string, "trust": number}[];
-  openCitations: {"url": string, "title": string, "year": string, "doi": string, "authors": string[]}[];
-
+  organizations: Organization[];
+  openCitations: { "url": string, "title": string, "year": string, "doi": string, "authors": string[] }[];
+  
   // DATASET
   subtitle: string;
-
+  
   // SOFTWARE
   programmingLanguages: string[];
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/result-preview/result-preview.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/result-preview/result-preview.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/result-preview/result-preview.component.ts	(revision 58275)
@@ -66,7 +66,7 @@
     }
   }
   
-  public onTitleClick() {
+  public onClick() {
     if(this.modal) {
       this.modal.cancel();
     }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/schema2jsonld/service/open-aire-jsonld-converter.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/schema2jsonld/service/open-aire-jsonld-converter.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/schema2jsonld/service/open-aire-jsonld-converter.service.ts	(revision 58275)
@@ -77,15 +77,14 @@
 
 	convertProject(project: any, URL, otherUrl): Organization {
 		const doc = new Organization();
-
-		doc.title = (project.name)?project.title:project.acronym;
+		doc.title = (project.title)?project.title:project.acronym;
 		doc.identifier = new Array<Identifier>();
-		doc.identifier.push({id:project.contractNum, schema: "grantid"});
+		doc.identifier.push({id:project.funding.code, schema: "grantid"});
 		var funder = new Organization();
-		funder.title = project.funder;
+		funder.title = project.funding.funderShortName;
 		doc.funder = funder;
 		doc.url = URL;
-		doc.sameAs =[project.url]
+		doc.sameAs =[project.url];
 		return doc;
 }
 
@@ -103,8 +102,8 @@
 convertDatasource(datasource: any, URL, otherUrl): Organization {
 	const doc = new Organization();
 
-	doc.title = datasource.title.name
-	doc.identifier = datasource.contractNum;
+	doc.title = datasource.title.name;
+	//doc.identifier = datasource.contractNum;
 	doc.legalName = datasource.officialName;
 	if(datasource.countries && datasource.countries.length > 0){
 		doc.areaServed = datasource.countries[0];
